---
title: font-family
slug: Web/CSS/font-family
tags:
  - CSS
  - CSS Fonts
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>font-family</code></strong> CSS property specifies a prioritized list of one or more font family names and/or generic family names for the selected element.</p>

<div>{{EmbedInteractiveExample("pages/css/font-family.html")}}</div>

<p>Values are separated by commas to indicate that they are alternatives. The browser will select the first font in the list that is installed or that can be downloaded using a {{CSSxRef("@font-face")}} at-rule.</p>

<p>It is often convenient to use the shorthand property {{CSSxRef("font")}} to set <code>font-size</code> and other font related properties all at once.</p>

<p>You should always include at least one generic family name in a <code>font-family</code> list, since there's no guarantee that any given font is available. This lets the browser select an acceptable fallback font when necessary.</p>

<p>The <code>font-family</code> property specifies a list of fonts, from highest priority to lowest. Font selection <em>does not</em> stop at the first font in the list that is on the user's system. Rather, font selection is done <em>one character at a time</em>, so that if an available font does not have a glyph for a needed character, the latter fonts are tried. (However, this doesn't work in Internet Explorer 6 or earlier.) When a font is only available in some <a href="/en-US/docs/Web/CSS/font-style">styles</a>, <a href="/en-US/docs/Web/CSS/font-variant">variants</a>, or <a href="/en-US/docs/Web/CSS/font-size">sizes</a>, those properties may also influence which font family is chosen.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css; no-line-numbers notranslate">/* A font family name and a generic family name */
font-family: Gill Sans Extrabold, sans-serif;
font-family: "Goudy Bookletter 1911", sans-serif;

/* A generic family name only */
font-family: serif;
font-family: sans-serif;
font-family: monospace;
font-family: cursive;
font-family: fantasy;
font-family: system-ui;
font-family: ui-serif;
font-family: ui-sans-serif;
font-family: ui-monospace;
font-family: ui-rounded;
font-family: emoji;
font-family: math;
font-family: fangsong;

/* Global values */
font-family: inherit;
font-family: initial;
font-family: unset;
</pre>

<p>The <code>font-family</code> property lists one or more font families, separated by commas. Each font family is specified as either a <code><a href="#&lt;family-name&gt;">&lt;family-name&gt;</a></code> or a <code><a href="#&lt;generic-name&gt;">&lt;generic-name&gt;</a></code> value.</p>

<p>The example below lists two font families, the first with a <code>&lt;family-name&gt;</code> and the second with a <code>&lt;generic-name&gt;</code>:</p>

<pre class="brush: css; notranslate">font-family: Gill Sans Extrabold, sans-serif;</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt><a id="&lt;family-name&gt;"><code>&lt;family-name&gt;</code></a></dt>
 <dd>The name of a font family. For example, "Times" and "Helvetica" are font families. Font family names containing whitespace should be quoted.</dd>
 <dt><a id="&lt;generic-name&gt;"><code>&lt;generic-name&gt;</code></a></dt>
 <dd>
 <p>Generic font families are a fallback mechanism, a means of preserving some of the style sheet author's intent when none of the specified fonts are available. Generic family names are keywords and must not be quoted. A generic font family should be the last item in the list of font family names. The following keywords are defined:</p>

 <dl>
  <dt><code>serif</code></dt>
  <dd style="font-family: serif;">Glyphs have finishing strokes, flared or tapering ends, or have actual serifed endings.<br>
  E.g. <span style="font-family: lucida bright,serif;">Lucida Bright</span>, <span style="font-family: lucida fax,serif;">Lucida Fax</span>, <span style="font-family: palatino,serif;">Palatino</span>, <span style="font-family: palatino linotype,serif;">"Palatino Linotype"</span>, <span style="font-family: palladio,serif;">Palladio</span>, <span style="font-family: urw palladio,serif;">"URW Palladio"</span>, <span style="font-family: serif;">serif</span>.</dd>
  <dt><code>sans-serif</code></dt>
  <dd style="font-family: sans-serif;">Glyphs have stroke endings that are plain.<br>
  E.g. <span style="font-family: open sans,sans-serif;">"Open Sans"</span>, <span style="font-family: fira sans,sans-serif;">"Fira Sans"</span>, <span style="font-family: lucida sans,sans-serif;">"Lucida Sans"</span>, <span style="font-family: lucida sans unicode,sans-serif;">"Lucida Sans Unicode"</span>, <span style="font-family: trebuchet ms,sans-serif;">"Trebuchet MS"</span>, <span style="font-family: liberation sans,sans-serif;">"Liberation Sans"</span>, <span style="font-family: nimbus sans l,sans-serif;">"Nimbus Sans L"</span>, <span style="font-family: sans-serif;">sans-serif</span>.</dd>
  <dt><code>monospace</code></dt>
  <dd style="font-family: monospace;">All glyphs have the same fixed width.<br>
  E.g. <span style="font-family: fira mono,monospace;">"Fira Mono"</span>, <span style="font-family: dejavu sans mono,monospace;">"DejaVu Sans Mono"</span>, <span style="font-family: menlo,monospace;">Menlo</span>, <span style="font-family: consolas,monospace;">Consolas</span>, <span style="font-family: liberation mono,monospace;">"Liberation Mono"</span>, <span style="font-family: monaco,monospace;">Monaco</span>, <span style="font-family: lucida console,monospace;">"Lucida Console"</span>, <span style="font-family: monospace;">monospace</span>.</dd>
  <dt><code>cursive</code></dt>
  <dd style="font-family: cursive;">Glyphs in cursive fonts generally have either joining strokes or other cursive characteristics beyond those of italic typefaces. The glyphs are partially or completely connected, and the result looks more like handwritten pen or brush writing than printed letterwork.<br>
  E.g. <span style="font-family: brush script mt,cursive;">"Brush Script MT</span>", <span style="font-family: brush script std,cursive;">"Brush Script Std</span>", <span>"Lucida Calligraphy"</span>, <span>"Lucida Handwriting"</span>, <span style="font-family: apple chancery,cursive;">"Apple Chancery"</span>, <span style="font-family: cursive;">cursive</span>.</dd>
  <dt><code>fantasy</code></dt>
  <dd style="font-family: fantasy;">Fantasy fonts are primarily decorative fonts that contain playful representations of characters.<br>
  E.g. <span style="font-family: papyrus,fantasy;">Papyrus</span>, <span style="font-family: herculanum,fantasy;">Herculanum</span>, <span style="font-family: party let,fantasy;">Party LET</span>, <span style="font-family: curlz mt,fantasy;">Curlz MT</span>, <span style="font-family: harrington,fantasy;">Harrington</span>, <span style="font-family: fantasy;">fantasy</span>.</dd>
  <dt><code>system-ui</code></dt>
  <dd>Glyphs are taken from the default user interface font on a given platform. Because typographic traditions vary widely across the world, this generic is provided for typefaces that don't map cleanly into the other generics. <span style="font-family: system-ui;">This is example system-ui text.</span></dd>
  <dt><code>ui-serif</code></dt>
  <dd>The default user interface serif font. <span style="font-family: ui-serif;">This is example ui-serif text.</span></dd>
  <dt><code>ui-sans-serif</code></dt>
  <dd>The default user interface sans-serif font. <span style="font-family: ui-sans-serif;">This is example ui-sans-serif text.</span></dd>
  <dt><code>ui-monospace</code></dt>
  <dd>The default user interface monospace font. <span style="font-family: ui-monospace;">This is example ui-monospace text.</span></dd>
  <dt><code>ui-rounded</code></dt>
  <dd>The default user interface font that has rounded features. <span style="font-family: ui-rounded;">This is example ui-rounded text.</span></dd>
  <dt><code>math</code></dt>
  <dd>This is for the particular stylistic concerns of representing mathematics: superscript and subscript, brackets that cross several lines, nesting expressions, and double struck glyphs with distinct meanings. This is some example math text: <span style="font-family: math;">ax² + bx + c = 0</span>.</dd>
  <dt><code>emoji</code></dt>
  <dd>Fonts that are specifically designed to render emoji. This is some example emoji text: <span style="font-family: emoji;">✝♾</span>.</dd>
  <dt><code>fangsong</code></dt>
  <dd>A particular style of Chinese characters that are between serif-style Song and cursive-style Kai forms. This style is often used for government documents. This is some example fangsong text with the Chinese characters for "fangsong" in traditional and simple forms, respectively: <span style="font-family: fangsong;">仿宋體 仿宋体</span>.</dd>
 </dl>
 </dd>
</dl>

<h3 id="Valid_family_names">Valid family names</h3>

<p>Font family names must either be given quoted as strings, or unquoted as a sequence of one or more identifiers. This means that punctuation characters and digits at the start of each token must be escaped in unquoted font family names.</p>

<p>For example, the following declarations are valid:</p>

<pre class="brush: css; example-good notranslate">font-family: Gill Sans Extrabold, sans-serif;
font-family: "Goudy Bookletter 1911", sans-serif;</pre>

<p>The following declarations are <strong>invalid</strong>:</p>

<pre class="brush: css; example-bad notranslate">font-family: Goudy Bookletter 1911, sans-serif;
font-family: Red/Black, sans-serif;
font-family: "Lucida" Grande, sans-serif;
font-family: Ahem!, sans-serif;
font-family: test@foo, sans-serif;
font-family: #POUND, sans-serif;
font-family: Hawaii 5-0, sans-serif;</pre>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Some_common_font_families">Some common font families</h3>

<pre class="brush: css; notranslate">.serif {
  font-family: Times, Times New Roman, Georgia, serif;
}

.sansserif {
  font-family: Verdana, Arial, Helvetica, sans-serif;
}

.monospace {
  font-family: Lucida Console, Courier, monospace;
}

.cursive {
  font-family: cursive;
}

.fantasy {
  font-family: fantasy;
}

.emoji {
  font-family: emoji;
}

.math {
  font-family: math;
}

.fangsong {
  font-family: fangsong;
}
</pre>

<div class="hidden">
<pre class="brush: html; notranslate">&lt;div class="serif"&gt;
  This is an example of a serif font.
&lt;/div&gt;

&lt;div class="sansserif"&gt;
  This is an example of a sans-serif font.
&lt;/div&gt;

&lt;div class="monospace"&gt;
  This is an example of a monospace font.
&lt;/div&gt;

&lt;div class="cursive"&gt;
  This is an example of a cursive font.
&lt;/div&gt;

&lt;div class="fantasy"&gt;
  This is an example of a fantasy font.
&lt;/div&gt;

&lt;div class="math"&gt;
  This is an example of a math font.
&lt;/div&gt;

&lt;div class="emoji"&gt;
  This is an example of an emoji font.
&lt;/div&gt;

&lt;div class="fangsong"&gt;
  This is an example of a fangsong font.
&lt;/div&gt;</pre>
</div>

<p>{{EmbedLiveSample("Some_common_font_families", 600, 120)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS4 Fonts", "#generic-font-families", "generic font families")}}</td>
   <td>{{Spec2("CSS4 Fonts")}}</td>
   <td>Adds new generic font families, specifically: <code>system-ui</code>, <code>ui-serif</code>, <code>ui-sans-serif</code>, <code>ui-monospace</code>, <code>ui-rounded</code>, <code>emoji</code>, <code>math</code>, and <code>fangsong</code>.</td>
  </tr>
  <tr>
   <td>{{SpecName("CSS3 Fonts", "#font-family-prop", "font-family")}}</td>
   <td>{{Spec2("CSS3 Fonts")}}</td>
   <td>No significant change</td>
  </tr>
  <tr>
   <td>{{SpecName("CSS2.1", "fonts.html#propdef-font-family", "font-family")}}</td>
   <td>{{Spec2("CSS2.1")}}</td>
   <td>No significant change</td>
  </tr>
  <tr>
   <td>{{SpecName("CSS1", "#font-family", "font-family")}}</td>
   <td>{{Spec2("CSS1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.font-family")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("font-style")}}</li>
 <li>{{cssxref("font-weight")}}</li>
 <li><a href="/en-US/docs/Learn/CSS/Styling_text/Fundamentals">Fundamental text and font styling</a></li>
</ul>
